Bug 1297407 - [Tier]: gluster volume heal info split-brain shows only output of hot tier escaping cold tier
[Tier]: gluster volume heal info split-brain shows only output of hot tier es...
Status: CLOSED NOTABUG
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: tier (Show other bugs)
3.1
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Dan Lambright
nchilaka
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-11 07:39 EST by Rahul Hinduja
Modified: 2016-09-17 11:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-03 05:27:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Hinduja 2016-01-11 07:39:16 EST
Description of problem:
=======================

gluster volume heal <vol-name> info split-brain shows only hot bricks information and escapes cold bricks on a tiered volume. 

[root@dhcp37-165 scripts]# gluster volume heal master info split-brain
Brick 10.70.37.158:/rhs/brick3/master_tier3
Number of entries in split-brain: 0

Brick 10.70.37.160:/rhs/brick3/master_tier2
Number of entries in split-brain: 0

Brick 10.70.37.133:/rhs/brick3/master_tier1
Number of entries in split-brain: 0

Brick 10.70.37.165:/rhs/brick3/master_tier0
Number of entries in split-brain: 0

[root@dhcp37-165 scripts]# 

[root@dhcp37-165 scripts]# gluster volume info master
 
Volume Name: master
Type: Tier
Volume ID: 440b8836-92b1-4833-b056-6e363834fc9d
Status: Started
Number of Bricks: 16
Transport-type: tcp
Hot Tier :
Hot Tier Type : Distributed-Replicate
Number of Bricks: 2 x 2 = 4
Brick1: 10.70.37.158:/rhs/brick3/master_tier3
Brick2: 10.70.37.160:/rhs/brick3/master_tier2
Brick3: 10.70.37.133:/rhs/brick3/master_tier1
Brick4: 10.70.37.165:/rhs/brick3/master_tier0
Cold Tier:
Cold Tier Type : Distributed-Disperse
Number of Bricks: 2 x (4 + 2) = 12
Brick5: 10.70.37.165:/rhs/brick1/master_brick0
Brick6: 10.70.37.133:/rhs/brick1/master_brick1
Brick7: 10.70.37.160:/rhs/brick1/master_brick2
Brick8: 10.70.37.158:/rhs/brick1/master_brick3
Brick9: 10.70.37.110:/rhs/brick1/master_brick4
Brick10: 10.70.37.155:/rhs/brick1/master_brick5
Brick11: 10.70.37.165:/rhs/brick2/master_brick6
Brick12: 10.70.37.133:/rhs/brick2/master_brick7
Brick13: 10.70.37.160:/rhs/brick2/master_brick8
Brick14: 10.70.37.158:/rhs/brick2/master_brick9
Brick15: 10.70.37.110:/rhs/brick2/master_brick10
Brick16: 10.70.37.155:/rhs/brick2/master_brick11
Options Reconfigured:
changelog.changelog: on
geo-replication.ignore-pid-check: on
geo-replication.indexing: on
features.quota-deem-statfs: on
features.inode-quota: on
features.quota: on
cluster.tier-mode: cache
features.ctr-enabled: on
performance.readdir-ahead: on
cluster.enable-shared-storage: enable
[root@dhcp37-165 scripts]# 


Version-Release number of selected component (if applicable):
=============================================================

glusterfs-fuse-3.7.5-15.el7rhgs.x86_64


How reproducible:
=================

1/1


Steps to Reproduce:
===================
1. Create tier volume 
2. Use gluster volume heal <vol-name> info split-brain


Actual results:
================

Only hot bricks informations are listed


Expected results:
=================

info split-brain should show information from all bricks
Comment 2 Sakshi 2016-01-12 00:53:29 EST
The cold tier is of type distribute-disperse and hence will not have any split-brain info. Could you check if this is reproducible if the cold tier is of type distribute-replicate?
Comment 3 Rahul Hinduja 2016-02-03 05:27:48 EST
Checked with version: glusterfs-3.7.5-17.el7rhgs.x86_64

If the ct is of DR, the output shows the brick information. 

[root@node92 ~]# gluster volume heal testvol info split-brain
Brick 10.70.47.152:/bricks/brick1/testvol_tier3
Number of entries in split-brain: 0

Brick 10.70.42.8:/bricks/brick1/testvol_tier2
Number of entries in split-brain: 0

Brick 10.70.42.58:/bricks/brick1/testvol_tier1
Number of entries in split-brain: 0

Brick 10.70.46.52:/bricks/brick1/testvol_tier0
Number of entries in split-brain: 0

Brick 10.70.46.52:/bricks/brick0/testvol_brick0
Number of entries in split-brain: 0

Brick 10.70.42.58:/bricks/brick0/testvol_brick1
Number of entries in split-brain: 0

Brick 10.70.42.8:/bricks/brick0/testvol_brick2
Number of entries in split-brain: 0

Brick 10.70.47.152:/bricks/brick0/testvol_brick3
Number of entries in split-brain: 0

[root@node92 ~]# gluster volume info testvol

Volume Name: testvol
Type: Tier
Volume ID: 34a48c98-3252-44e0-b3a3-7362020f302d
Status: Started
Number of Bricks: 8
Transport-type: tcp
Hot Tier :
Hot Tier Type : Distributed-Replicate
Number of Bricks: 2 x 2 = 4
Brick1: 10.70.47.152:/bricks/brick1/testvol_tier3
Brick2: 10.70.42.8:/bricks/brick1/testvol_tier2
Brick3: 10.70.42.58:/bricks/brick1/testvol_tier1
Brick4: 10.70.46.52:/bricks/brick1/testvol_tier0
Cold Tier:
Cold Tier Type : Distributed-Replicate
Number of Bricks: 2 x 2 = 4
Brick5: 10.70.46.52:/bricks/brick0/testvol_brick0
Brick6: 10.70.42.58:/bricks/brick0/testvol_brick1
Brick7: 10.70.42.8:/bricks/brick0/testvol_brick2
Brick8: 10.70.47.152:/bricks/brick0/testvol_brick3
Options Reconfigured:
features.record-counters: on
performance.quick-read: off
performance.io-cache: off
cluster.read-freq-threshold: 5
cluster.write-freq-threshold: 0
cluster.watermark-hi: 10
cluster.watermark-low: 1
cluster.tier-mode: cache
features.ctr-enabled: on
features.quota-deem-statfs: on
features.inode-quota: on
features.quota: on
performance.readdir-ahead: on
[root@node92 ~]#

I understand the split-brain information is only shown for type replica. Closing the bug

Note You need to log in before you can comment on or make changes to this bug.